## org.apache.http.nio.entity
Class ContentInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.http.nio.entity.ContentInputStream

All Implemented Interfaces:
  Closeable

    @NotThreadSafe
    public class ContentInputStream

extends InputStream

`InputStream` adaptor for `ContentInputBuffer`.

Since:
  4.0

Constructor Summary
`ContentInputStream(ContentInputBuffer buffer)`

Method Summary
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentInputStream

    public ContentInputStream(ContentInputBuffer buffer)

Method Detail

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.